<?php namespace JasonWilliams\CalgaryConditions;

/**
 * The plugin.php file (called the plugin initialization script) defines the plugin information class.
 */

use System\Classes\PluginBase;

class Plugin extends PluginBase
{

    public function pluginDetails()
    {
        return [
            'name'        => 'Calgary Conditions',
            'description' => 'Provides local time and weather information for Calgary, AB, Canada',
            'author'      => 'Jason Williams',
            'icon'        => 'oc-icon-cloud'
        ];
    }

    public function registerComponents()
    {
        return [
            '\JasonWilliams\CalgaryConditions\Components\CurrentInfo' => 'CurrentInfo'
        ];
    }
}
